Get current integration organization and authorized partners.
curl --request GET \
--url https://api.novatrade24.com/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.novatrade24.com/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.novatrade24.com/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizationUuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "Santander Consumer Bank",
"authorizedPartners": [
{
"uuid": "11111111-2222-3333-4444-555555555555",
"name": "AutoHandel Mustermann GmbH",
"country": "DE"
}
],
"capabilities": {
"rateLimitTier": "HIGH_VOLUME",
"allowMarketplaceLedKyc": true,
"allowMultiVinOrders": false,
"allowContactPersonalData": true,
"allowKycDocumentDownload": true
},
"dpaVersion": "2026-01",
"dpaAcceptedAt": "2026-02-15T10:00:00Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}Discovery
Get current integration organization and authorized partners.
Returns the caller’s IntegrationOrganization profile, the list of
TradePartner entities the caller is authorized to act on behalf of,
and the capability flags that gate feature access. Call once at client
startup.
GET
/
me
Get current integration organization and authorized partners.
Authorizations
OAuth 2.0 client_credentials grant via Keycloak service account.
Clients are provisioned per IntegrationOrganization in the
nt24-idp realm.
⌘I